### Method

# Json Node init_string

since: 0.16

#### Declaration [src]

    JsonNode*
    json_node_init_string (
      JsonNode* node,
      const char* value
    )

#### Description [src]

Initializes `node` to `JSON_NODE_VALUE` and sets `value` into it.

If the node has already been initialized once, it will be reset to the given type, and any data contained will be cleared.

Available since: 0.16

#### Parameters

`value`

  Type: `const char*`

  A string value.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `JsonNode`

The initialized node.

The data is owned by the instance.